org.apache.kylin.jdbc

## Interface IRemoteClient

All Superinterfaces:
  AutoCloseable, Closeable

All Known Implementing Classes:
  KylinClient

    public interface IRemoteClient
    extends Closeable

### Nested Class Summary

Nested Classes
`static class` `IRemoteClient.QueryResult`

### Method Summary

Methods
`void` `connect()` Connect to Kylin restful service.
`IRemoteClient.QueryResult` `executeQuery(String sql, List<org.apache.calcite.avatica.AvaticaParameter> params, List<Object> paramValues, Map<String,String> queryToggles)` Execute query remotely and get back result.
`KylinMeta.KMetaProject` `retrieveMetaData(String project)` Retrieve meta data of given project.

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### connect

    void connect()
                 throws IOException

Connect to Kylin restful service. IOException will be thrown if authentication failed.

Throws:
  `IOException`

#### retrieveMetaData

    KylinMeta.KMetaProject retrieveMetaData(String project)
                                            throws IOException

Retrieve meta data of given project.

Throws:
  `IOException`

#### executeQuery

    IRemoteClient.QueryResult executeQuery(String sql,
                                         List<org.apache.calcite.avatica.AvaticaParameter> params,
                                         List<Object> paramValues,
                                         Map<String,String> queryToggles)
                                           throws IOException

Execute query remotely and get back result.

Throws:
  `IOException`